#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.5
visibility:           public
id:                   http-client-restricted-0.0.5-8Kr43UDqxunGJMnqahf3kP
key:                  http-client-restricted-0.0.5-8Kr43UDqxunGJMnqahf3kP
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  4a033e8d73d03fbee2d72a76093e990a
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.0.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.0.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http-client-restricted
hs-libraries:         HShttp-client-restricted-0.0.5-8Kr43UDqxunGJMnqahf3kP
depends:
    base-4.15.1.0 connection-0.3.1-Ipo8G54AQciAVhKfZCf7oZ
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    http-client-0.7.13.1-Dh7SR0m1x6o3yipHdw5yVA
    http-client-tls-0.3.6.1-1Y5QlofmlBA1SJYz2XUbk0
    network-3.1.2.7-3MnWjnNhABh27tP7sbt8Ba
    network-bsd-2.8.1.0-6rwiMEI6njd1WSOd8ze2ND
    utf8-string-1.0.2-6JnEnrSpdULJYDb0wt55Uc

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

